## edu.stanford.nlp.io
Class PrintFile

    java.lang.Object
      java.io.OutputStream
          java.io.FilterOutputStream
              java.io.PrintStream
                  edu.stanford.nlp.io.PrintFile

All Implemented Interfaces:
  Closeable, Flushable, Appendable

    public class PrintFile

extends PrintStream

Shorthand class for opening an output file for human-readable output. com:bruceeckel:tools:PrintFile.java

Field Summary

Fields inherited from class java.io.FilterOutputStream
`out`

Constructor Summary
`PrintFile(File file)`
`PrintFile(String filename)`

Method Summary

Methods inherited from class java.io.PrintStream
`append, append, append, checkError, clearError, close, flush, format, format, print, print, print, print, print, print, print, print, print, printf, printf, println, println, println, println, println, println, println, println, println, println, setError, write, write`

Methods inherited from class java.io.FilterOutputStream
`write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PrintFile

    public PrintFile(String filename)
              throws IOException

Throws:
  `IOException`

### PrintFile

    public PrintFile(File file)
              throws IOException

Throws:
  `IOException`

Stanford NLP Group